Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.syntax
Class TokenMismatchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.groovy.GroovyException
                  org.codehaus.groovy.syntax.SyntaxException
                      org.codehaus.groovy.syntax.TokenException
                          org.codehaus.groovy.syntax.TokenMismatchException

All Implemented Interfaces:
  Serializable, GroovyExceptionInterface

    public class TokenMismatchException

extends TokenException

See Also:
  Serialized Form

Constructor Summary
`TokenMismatchException(Token token, int expectedType)`

Method Summary
`int` | `getExpectedType()`
`Token` | `getUnexpectedToken()`

Methods inherited from class org.codehaus.groovy.syntax.TokenException
`getEndColumn`

Methods inherited from class org.codehaus.groovy.syntax.SyntaxException
`getLine, getMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`

Methods inherited from class org.codehaus.groovy.GroovyException
`isFatal, setFatal`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TokenMismatchException

    public TokenMismatchException(Token token,
                                  int expectedType)

Method Detail

### getUnexpectedToken

    public Token getUnexpectedToken()

### getExpectedType

    public int getExpectedType()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD